#
# spec file for package libqt5-qtserialport
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define qt5_snapshot 0

%define libname libQt5SerialPort5

Name:           libqt5-qtserialport
Version:        5.6.1
Release:        2.3
Summary:        Qt 5 Serial Port Addon
License:        SUSE-LGPL-2.1-with-digia-exception-1.1 or GPL-3.0
Group:          Development/Libraries/X11
Url:            http://qt.digia.com
%define base_name libqt5
%define real_version 5.6.1
%define so_version 5.6.1
%define tar_version qtserialport-opensource-src-%{real_version}
Source:         %{tar_version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  fdupes
BuildRequires:  libQt5Core-private-headers-devel >= %{version}
BuildRequires:  libqt5-qtbase-devel >= %{version}
BuildRequires:  pkgconfig(libudev)
%if %qt5_snapshot
#to create the forwarding headers
BuildRequires:  perl
%endif
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Qt is a set of libraries for developing applications.

This package contains base tools, like string, xml, and network
handling.

%prep
%setup -q -n qtserialport-opensource-src-%{real_version}

%package -n %libname
Summary:        Qt 5 Serial Port Addon
Group:          Development/Libraries/X11
%requires_ge libQt5Core5

%description -n %libname
Qt is a set of libraries for developing applications.

This package contains base tools, like string, xml, and network
handling.

%package devel
Summary:        Qt Development Kit
Group:          Development/Libraries/X11
Requires:       %libname = %{version}
Provides:       libQt5SerialPort-devel = %{version}
Obsoletes:      libQt5SerialPort-devel < %{version}

%description devel
You need this package, if you want to compile programs with qtserialport.

%package private-headers-devel
Summary:        Non-ABI stable experimental API
Group:          Development/Libraries/C and C++
BuildArch:      noarch
Requires:       %{name}-devel = %{version}
Requires:       libQt5Core-private-headers-devel >= %{version}
Provides:       libQt5SerialPort-private-headers-devel = %{version}
Obsoletes:      libQt5SerialPort-private-headers-devel < %{version}

%description private-headers-devel
This package provides private headers of libqt5-qtserialport that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package examples
Summary:        Qt5 Serial Port examples
Group:          Development/Libraries/X11
Recommends:     %{name}-devel

%description examples
Examples for libqt5-qtserialport module.

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%build
%if %qt5_snapshot
#force the configure script to generate the forwarding headers (it checks whether .git directory exists)
mkdir .git
%endif
%qmake5
%make_jobs

%install
%qmake5_install

# kill .la files
rm -f %{buildroot}%{_libqt5_libdir}/lib*.la

%files -n %libname
%defattr(-,root,root,755)
%doc LGPL_EXCEPTION.txt LICENSE.*
%{_libqt5_libdir}/libQt5SerialPort.so.*

%files private-headers-devel
%defattr(-,root,root,755)
%doc LGPL_EXCEPTION.txt LICENSE.*
%{_libqt5_includedir}/Qt*/%{so_version}

%files devel
%defattr(-,root,root,755)
%doc LGPL_EXCEPTION.txt LICENSE.*
%exclude %{_libqt5_includedir}/Qt*/%{so_version}
%{_libqt5_includedir}/Qt*
%{_libqt5_libdir}/cmake/Qt5SerialPort
%{_libqt5_libdir}/libQt5SerialPort.prl
%{_libqt5_libdir}/libQt5SerialPort.so
%{_libqt5_libdir}/pkgconfig/Qt5SerialPort.pc
%{_libqt5_archdatadir}/mkspecs/modules/qt_lib_serialport*.pri

%files examples
%defattr(-,root,root,755)
%doc LGPL_EXCEPTION.txt LICENSE.*
%{_libqt5_examplesdir}/

%changelog
* Tue Jun 14 2016 mlin@suse.com
- Update to 5.6.1 (boo#984605)
  * For more details please see:
    http://blog.qt.io/blog/2016/06/08/qt-5-6-1-released/
  * Splits off example subpackage
* Fri Apr  8 2016 alarrosa@suse.com
- Updated Qt to 5.6.0, a LTS release (fate#320330)
* Fri Apr  8 2016 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * For more details please see:
    http://blog.qt.io/blog/2016/03/16/qt-5-6-released/
    and https://wiki.qt.io/New_Features_in_Qt_5.6
* Wed Feb  3 2016 alarrosa@suse.com
- [ECO] Update Qt5 to version 5.5.1 (fate#319961, bnc#964864)
* Fri Oct 16 2015 hrvoje.senjan@gmail.com
- Update to 5.5.1
  * For more details please see:
    http://blog.qt.io/blog/2015/10/15/qt-5-5-1-released/
* Sun Aug 16 2015 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * For more details please see:
    http://blog.qt.io/blog/2015/07/01/qt-5-5-released/
    and https://wiki.qt.io/New_Features_in_Qt_5.5
* Wed Jun  3 2015 hrvoje.senjan@gmail.com
- Update to 5.4.2
  * Bugfix release, for more details please see:
    http://blog.qt.io/blog/2015/06/02/qt-5-4-2-released/
* Wed May 20 2015 mlin@suse.com
- A bunch update to Qt5 5.3.2 for SLE12 SP1, bsc#931622
* Tue Sep 16 2014 hrvoje.senjan@gmail.com
- Update to 5.3.2 final
  * No changes since previous snapshot
  * Use official tars
* Thu Sep  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.2~git20140904 (rd8bc98b):
  * Tip of the bugfix 5.3.2 branch
  * Fix a race condition at writing on Windows
  * Add missing private headers warnings
  * Fix handling of writing at using of waitForReadyRead()
  * Fix compilation of apps with
    QT_DISABLE_DEPRECATED_BEFORE=0x050300
  * Move the synchronous loopback test from benchmarks
    to auto tests
  * Make the QSerialPort::flush() non-blocking
  * Pass a length of string to QString::fromWCharArray
  * Fix leak of a descriptor after unsuccessful opening
  * Fix events handling in waitForBytesWritten()
    method on Windows
  * Add the synchronous loopback data verification test
  * Doc: Edited example documentation.
  * Return from the loop if a port name is found
  * Wrap of getting the port properties on Windows
  * Do not continue waitForReadyRead() if an error occurred
  * Refactor of the QSerialPortInfo for OS X
  * Make independent implementation of QSerialPortInfo
    for OS X
  * Improve error handling for the waitForXX()
    methods on Windows
  * Unify handling of errors of the overlapped I/O result
  * Abort waitForReadyRead() when there is an error
  * Improve the serial number handling on Windows
  * Improve the ResourceError handling on Windows
  * Improve the I/O completion errors handling on Windows
  * Bump version
* Wed Jun 25 2014 hrvoje.senjan@gmail.com
- Update to 5.3.1
  * Bugfix release, for more details please see:
    http://blog.qt.digia.com/blog/2014/06/25/qt-5-3-1-released/
* Mon Jun  2 2014 hrvoje.senjan@gmail.com
- Add baselibs.conf
- Make private headers noarch
* Mon May 26 2014 mlin@suse.com
- Build with pkgconfig(libudev), not pkgconfig(udev)
* Mon May 19 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 final
  * Minor bugfixes over previous RC
* Thu May  8 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 RC
  * For more details, please see
  http://blog.qt.digia.com/blog/2014/05/08/qt-5-3-release-candidate-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.3
* Tue Mar 25 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 beta
  * New feature release, please see
  http://blog.qt.digia.com/blog/2014/03/25/qt-5-3-beta-released/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.3
* Sun Mar 23 2014 hrvoje.senjan@gmail.com
- BuildRequire pkgconfig(Qt5Gui) and pkgconfig(Qt5Widgets)
* Mon Feb 10 2014 mlin@suse.com
- Install LICENSE files to %%doc
* Wed Feb  5 2014 hrvoje.senjan@gmail.com
- Update to 5.2.1:
  * For more details please see:
    http://blog.qt.digia.com/blog/2014/02/05/qt-5-2-1-released/
- Remove libtool archives from packages
* Mon Dec 16 2013 hrvoje.senjan@gmail.com
- Make devel packages naming consistent:
  use libqt5-$upstreammodulename-(devel, private-headers-devel)
* Thu Dec 12 2013 hrvoje.senjan@gmail.com
- Update to 5.2.0 final:
  * For more details please see:
    http://blog.qt.digia.com/blog/2013/12/12/qt-5-2-released-the-best-qt-yet/
    http://qt-project.org/qt5/qt52
    http://qt.digia.com/Product/Whats-New/Qt-52/
* Fri Nov 29 2013 hrvoje.senjan@gmail.com
- Update to 5.2 rc1
  * New feature release, please see
  http://blog.qt.digia.com/blog/2013/11/29/qt-5-2-release-candidate-1-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.2
* Wed Oct 23 2013 hrvoje.senjan@gmail.com
- Update to 5.2 beta1
  * New feature release, please see
  http://blog.qt.digia.com/blog/2013/10/23/qt-5-2-beta-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.2
* Thu Aug 29 2013 hrvoje.senjan@gmail.com
- Update to version 5.1.1:
  * Bugfix release, please see
  http://blog.qt.digia.com/blog/2013/08/28/qt-5-1-1-released/
  http://qt.gitorious.org/qt/qtserialport/blobs/release/dist/changes-5.1.1
  and http://qt-project.org/wiki/Qt511KnownIssues for known issues
- Small spec cleanup
* Sun Jul  7 2013 stephan.binner@basyskom.com
- update to Qt 5.1 release
* Tue Jun 18 2013 stephan.binner@basyskom.com
- update to Qt 5.1 RC 1
* Mon May 20 2013 stephan.binner@basyskom.com
- update to Qt 5.1 Beta 1
* Tue Apr  9 2013 stephan.binner@basyskom.com
- initial package for Qt 5.1 Alpha 1
